<?php
session_start();
include "../config/koneksi.php";

$act=$_GET[act];

// Hapus karyawaan
if ($act=='hapus'){
  mysql_query("DELETE FROM rb_users WHERE username='$_GET[id]'");
  header('location:karyawan.html');
}

// Tambah Karyawan
elseif ($act=='input'){

$username=trim($_POST[username]);
$password=trim($_POST[password]);
$nama_lengkap=trim($_POST[nama_lengkap]);
$alamat_lengkap=trim($_POST[alamat_lengkap]);
$email=trim($_POST[email]);
$no_telp=trim($_POST[no_telp]);
$gaji=trim($_POST[gaji]);
$status=trim($_POST[status]);
$pass=md5($password);

    $sql = mysql_query("INSERT INTO rb_users(username,
                                 password,
                                 nama_lengkap,
                                 email, 
                                 no_telp,
								                 level,
                                 id_session,
                								 alamat_lengkap,
                								 gaji,
                								 status) 
	                       VALUES('$username',
                                '$pass',
                                '$nama_lengkap',
                                '$email',
                                '$no_telp',
								                'karyawan',
                                '$pass',
                								'$alamat_lengkap',
                								'$gaji',
                								'$status')");
  header('location:karyawan.html');
}

// Update Distributor
elseif ($act=='update'){
  if (empty($_POST[password])) {
    mysql_query("UPDATE rb_users SET username    = '$_POST[username]',
								                  nama_lengkap   = '$_POST[nama_lengkap]',
                                  email          = '$_POST[email]',
                                  no_telp        = '$_POST[no_telp]',  
                								  alamat_lengkap = '$_POST[alamat_lengkap]',
                								  gaji			 = '$_POST[gaji]',
                								  status		= '$_POST[status]' WHERE  username     = '$_POST[usernamee]'");
  }
  // Apabila password diubah
  else{
    $pass=md5($_POST[password]);
    mysql_query("UPDATE rb_users SET username    = '$_POST[username]',
								                 password        = '$pass',
                                 nama_lengkap    = '$_POST[nama_lengkap]',
                                 email           = '$_POST[email]', 
                                 no_telp         = '$_POST[no_telp]',  
                								 alamat_lengkap  = '$_POST[alamat_lengkap]',
                								 gaji			 = '$_POST[gaji]',
                								 status			 = '$_POST[status]' WHERE username      = '$_POST[usernamee]'");
  }
  header('location:karyawan.html');
}

// Update Distributor
elseif ($act=='updatee'){
  if (empty($_POST[password])) {
    mysql_query("UPDATE rb_users SET username    = '$_POST[username]',
								                  nama_lengkap   = '$_POST[nama_lengkap]',
                                  email          = '$_POST[email]',
                                  no_telp        = '$_POST[no_telp]',  
								                  alamat_lengkap = '$_POST[alamat_lengkap]' WHERE  level     = 'admin'");
  }
  // Apabila password diubah
  else{
    $pass=md5($_POST[password]);
    mysql_query("UPDATE rb_users SET username    = '$_POST[username]',
								                  password        = '$pass',
                                  nama_lengkap    = '$_POST[nama_lengkap]',
                                  email           = '$_POST[email]', 
                                  no_telp         = '$_POST[no_telp]',  
								                  alamat_lengkap = '$_POST[alamat_lengkap]' WHERE  level     = 'admin'");
  }
  header('location:admin.html');
}
?>
